Random letters
Most popular
Newest
Latest
Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Cuando traes paz para ti, puedes traerla a los demás. Hoy, procúrate un poco de tiempo libre. Ve a tu interior con ayuda de meditación, respiración profunda o lo que sea que te lleva a...

Read full letter

By the time you read this email, it will have been 10 years since I sent it. How crazy is that? Today it is May 12th and I set this letter to be sent 10 years into the future, but on our birthday!...

Read full letter

From 9 March 2017 I sit here during Plus period, working on my Math homework as I have the 4/5 Unit Test tomorrow. Today was my first time present my discussion in class. It was choppy, I must...

Read full letter

Tipo išbandau šitą programą :D

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter